OGRE: Ogre::IntersectionSceneQueryListener Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::IntersectionSceneQueryListener Class Referenceabstract
Core | Component » Scene

Alternative listener class for dealing with IntersectionSceneQuery. More...

`#include <OgreSceneQuery.h>`

Inheritance diagram for Ogre::IntersectionSceneQueryListener:
[legend]

## Public Member Functions
virtual | ~IntersectionSceneQueryListener ()
virtual bool | queryResult (MovableObject *first, MovableObject *second)=0
| Called when 2 movable objects intersect one another. More...
virtual bool | queryResult (MovableObject *movable, SceneQuery::WorldFragment *fragment)=0
| Called when a movable intersects a world fragment. More...

## Detailed Description

Alternative listener class for dealing with IntersectionSceneQuery.

Remarks
  Because the IntersectionSceneQuery returns results in pairs, rather than singularly, the listener interface must be customised from the standard SceneQueryListener.

## Constructor & Destructor Documentation

## ◆ ~IntersectionSceneQueryListener()

virtual Ogre::IntersectionSceneQueryListener::~IntersectionSceneQueryListener | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ queryResult() [1/2]

virtual bool Ogre::IntersectionSceneQueryListener::queryResult | ( | MovableObject * | first,
|  | MovableObject * | second
| ) |  |
| pure virtual

Called when 2 movable objects intersect one another.

Remarks
  As with SceneQueryListener, the implementor of this method should return 'true' if further results are required, or 'false' to abandon any further results from the current query.

Implemented in Ogre::IntersectionSceneQuery.

## ◆ queryResult() [2/2]

virtual bool Ogre::IntersectionSceneQueryListener::queryResult | ( | MovableObject * | movable,
|  | SceneQuery::WorldFragment * | fragment
| ) |  |
| pure virtual

Called when a movable intersects a world fragment.

Remarks
  As with SceneQueryListener, the implementor of this method should return 'true' if further results are required, or 'false' to abandon any further results from the current query.

Implemented in Ogre::IntersectionSceneQuery.

The documentation for this class was generated from the following file:

- OgreSceneQuery.h